package org.bench4q.share.models.master;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * When administrator add or delete a agent,This model will be response
 * 
 * @author coderfengyun
 * 
 */
@XmlRootElement(name = "agentResponse")
public class AgentResponseModel {
	private boolean isSuccess;
	private String failCauseString;
	private List<AgentModel> agents;

	@XmlElement
	public boolean isSuccess() {
		return isSuccess;
	}

	public void setSuccess(boolean isSuccess) {
		this.isSuccess = isSuccess;
	}

	@XmlElement
	public String getFailCauseString() {
		return failCauseString;
	}

	public void setFailCauseString(String failCauseString) {
		this.failCauseString = failCauseString;
	}

	@XmlElementWrapper(name = "AgentList")
	@XmlElement(name = "agent")
	public List<AgentModel> getAgents() {
		return agents;
	}

	public void setAgents(List<AgentModel> agents) {
		this.agents = agents;
	}
}
